<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/

	if (defined('USER_ALLOW')) {
		include("modules/$module_name/l_config.php");
		$user2 = base64_decode($user);
		$user2 = addslashes($user2);
		$cookie = explode(":", $user2);
		cookiedecode($user);
		$ratinguser = $cookie[1];
		$lid = $db->XMFnum($lid);
		$cid = $db->XMFnum($cid);
		$db->sql_query("insert into ".TABLE_LINKS_MODREQUEST." values (NULL, '$lid', '$cid', '0', '".addslashes($title)."', '".addslashes($url)."', '".addslashes($description)."', '".addslashes($ratinguser)."', '1')");
		incoh();
		menu(1);
		br('1');
		Max_OpenTable();
		echo "<br /><center>"._THANKSFORINFO."<br /><br />"._LOOKTOREQUEST."</center><br />";
		Max_CloseTable();
		incof();
	} else {
		Header("Location: modules.php?name=$module_name");
	}
